
_lcdPutTime
	movlw	0x04		;set position of day & time on LCD
	call	_lcdLine1W	;to start at char' position 5
	clrf	i2c_address	;read day, hours, mins, secs from RTC
	movlw	0x04		;
	call	_i2cRead		;read time from RTC
	call	_Day2LCD	;these 2 operations split because code
	call	_Time2LCD	;is used by Front Panel setting code too.
	return
	
_Day2LCD	movlw	0x08		
	subwf	day,W		;test for day >7
	btfsc  	STATUS,C		;skip if not
	clrf	day		;else clear variable day
	movlw	high _dayTextBeg	;..to avoid black-hole code execution
	movwf	PCLATH		;..in table lookup
	movfw	day	
	call	_dayText
	call	_writeLCD
	movlw	' '
	call	_lcdChar
	return

_Time2LCD	movfw 	hours
	call	_lcdBCD
	
	btfss	seconds,0		;blink the hh:mm seperator		
	call	_lcdColon		;once per second to indicate operation
	btfsc	seconds,0
	call	_lcdSpace

	movfw 	minutes
	call	_lcdBCD
	return

; 	Display seconds on LCD for development
;	call	_lcdColon
;	movfw 	seconds
;	call	_lcdBCD
;	return


	if high _dayText != high _dayTextEnd
	  messg " ATTENTION: table '_dayText' is crossing a page boundary "
	endif

_dayText	addwf	PCL,F
_dayTextBeg
	retlw	low _textErr	;day is set to 0 if >7, and LCD shows Error
	retlw	low _textMon
	retlw	low _textTue
	retlw	low _textWed
	retlw	low _textThu
	retlw	low _textFri
	retlw	low _textSat
	retlw	low _textSun
_dayTextEnd
